Refund Error Response
Error response returned by PaysafeCard refund operations.
Refund error codes
| Code | Number | HTTP status | Description |
|---|---|---|---|
PRODUCT_NOT_AVAILABLE | 3100 | 404 | Product not available. |
DUPLICATE_ORDER_REQUEST | 3103 | 400 | Duplicate order request. |
FACEVALUE_FORMAT_ERROR | 3106 | 400 | Invalid face value format. |
MISSING_PARAMETER | 3150 | 400 | Missing parameter. |
INVALID_CURRENCY | 3151 | 400 | Invalid currency. |
MERCHANT_NOT_ALLOWED_FOR_PAYOUT | 3161 | 400 | Merchant not allowed to perform this action. |
CUSTOMER_NOT_FOUND | 3162 | 404 | No customer account found using the provided credentials. |
INVALID_PARAMETER | 3163 | 400 | Invalid parameter. |
duplicate_payout_request | 3164 | 400 | Transaction already exists. |
INVALID_AMOUNT | 3165 | 400 | Invalid amount. |
CUSTOMER_LIMIT_EXCEEDED | 3167 | 400 | Customer limit exceeded. |
KYC_INVALID_FOR_PAYOUT_CUSTOMER | 3168 | 400 | Feature not activated in this country for this KYC level. |
payout_id_collision | 3169 | 400 | Payout ID collides with an existing disposition ID. |
topup_limit_exceeded | 3170 | 400 | Top-up limit exceeded. |
payout_amount_below_minimum | 3171 | 400 | Payout amount is below the merchant's minimum payout amount. |
MERCHANT_REFUND_EXCEEDS_ORIGINAL_TRANSACTION | 3179 | 400 | Merchant refund exceeds the original transaction. |
MERCHANT_REFUND_ORIGINAL_TRANSACTION_INVALID_STATE | 3180 | 400 | Original transaction is in an invalid state for a merchant refund. |
MERCHANT_REFUND_CLIENT_ID_NOT_MATCHING | 3181 | 400 | Merchant client ID does not match the original payment. |
NO_UNLOAD_MERCHANT_CONFIGURED | 3182 | 400 | Merchant client ID is missing. |
MERCHANT_REFUND_MISSING_TRANSACTION | 3184 | 404 | Original transaction was not found. |
merchant_refund_customer_credentials_missing | 3185 | 404 | PaysafeCard account was not found on the original transaction and no additional credentials were provided. |
customer_inactive | 3193 | 400 | Customer is not active. |
customer_yearly_payout_limit_reached | 3194 | 400 | Customer yearly payout limit exceeded. |
customer_details_mismatch | 3195 | 400 | Customer details from the request do not match the stored details. |
max_amount_of_payout_merchants_reached | 3198 | 400 | The maximum number of payout merchant clients is already assigned to this account. |
payout_blocked | 3199 | 400 | Payout blocked for security reasons. |
Other errors may be communicated as a general technical error.
codestringrequired
Machine-readable refund error code.
Example:
MERCHANT_REFUND_EXCEEDS_ORIGINAL_TRANSACTIONmessagestringrequired
Human-readable description of the refund error.
Example:
Merchant refund exceeds the original transaction.numberintegerrequired
Numeric refund error identifier.
Example:
3179paramstringnullable
Request parameter associated with the error, when applicable.
Example:
amountRefund Error Response
{
"code": "MERCHANT_REFUND_EXCEEDS_ORIGINAL_TRANSACTION",
"message": "Merchant refund exceeds the original transaction.",
"number": 3179,
"param": "amount"
}